Salla Docs
Merchant
Merchant
  • Merchant API
  • Salla OAuth 2.0
  • Merchant Dashboard
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • App Functions
  • Billing System Salla partners
  • Report Builder
  • App Onboarding
  • Communication Apps
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Change Log
Salla CLI
Merchant
Merchant
  • Merchant API
  • Salla OAuth 2.0
  • Merchant Dashboard
Partner APIs
Partner APIs
  • App API
  • Shipments & Fulfillment APIs
  • Salla AWB
  • Recurring Payments API
  • App Functions
  • Billing System Salla partners
  • Report Builder
  • App Onboarding
  • Communication Apps
Storefront
Storefront
  • Twilight Engine
  • Twilight SDK
  • Web Components
  • Ecommerce Events
  • Component Bundle
  • Change Log
Salla CLI
Salla - Opensource
Salla - Developers Community
  1. Shipping Routes
  • Getting Started
  • Migration to the New API
  • Publish App
  • Change Log
  • Shipping Management
    • Create App
    • App Cycle
    • Setup App
    • Test App
  • Order Fulfilment
    • Create App
    • App Cycle
    • Setup App
    • Test App
  • Shipments
    • Create Shipment
    • List Shipments
    • Update Shipment Details
    • Shipment Details
    • Cancel Shipments
    • Return Shipments
    • Shipment Tracking
  • Shipping Companies
    • List Shipping Companies
    • Shipping Company Details
  • Shipping Routes
    • Routes List
      GET
    • Route Details
      GET
    • Create Route
      POST
    • Update Route
      PATCH
    • Default Route
      PATCH
    • Delete Route
      DELETE
  1. Shipping Routes

Routes List

Production
https://api.salla.dev/admin/v2
Production
https://api.salla.dev/admin/v2
GET
https://api.salla.dev/admin/v2
/shipping/routes
Last modified:2025-07-29 19:13:05
This endpoint allows you to fetch all shipping routes configured for the store.
Each route includes its type (e.g., normal, auto, branded, default), status, priority, and combination strategy.
These routes control how shipping options appear to customers at checkout.
This endpoint is accessable only for allowed applications.
Scopes
shipping.read- Shipping Read

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.salla.dev/admin/v2/shipping/routes?name=Branded Route' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
{
    "status": 200,
    "success": true,
    "data": [
        {
            "id": 2087831307,
            "name": "Branded Route",
            "type": "branded",
            "status": true,
            "priority": 1,
            "strategy": "default",
            "combinable": true
        },
        {
            "id": 580171786,
            "name": "Selected Route",
            "type": "default",
            "status": true,
            "priority": 2,
            "strategy": "ratio",
            "combinable": false
        },
        {
            "id": 298476048,
            "name": "Auto assign route",
            "type": "auto",
            "status": true,
            "priority": 3,
            "strategy": "quota",
            "combinable": false
        }
    ],
    "pagination": {
        "count": 3,
        "total": 3,
        "perPage": 15,
        "currentPage": 1,
        "totalPages": 1,
        "links": {}
    }
}
🟠401Unauthorized
🟠404Record Not Found
Modified at 2025-07-29 19:13:05
Previous
Shipping Routes
Next
Route Details